@ECHO OFF

REM 
REM Copyright 2009-2018, Tecknodreams Software Consulting Pvt. Ltd.
REM sapphireimsagent-uninstall-all script.
REM

CD "%~dp0"

REM ----------------------------------------------------------------------------------------------------
SET BASELINE_AGENT_VERSION=4.4099-6
REM ----------------------------------------------------------------------------------------------------

TIMEOUT /T 900

IF EXIST "%PROGRAMFILES(X86)%" (
     REM This is 64 Bit Operating system
     SET regQueryKey="HKEY_LOCAL_MACHINE\SOFTWARE\wow6432node\Tecknodreams\SapphireIMSAgent"
	 SET AppWizRegistry="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\SapphireIMSAgent"
	 SET StartupRegistry="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run"
	 SET "InstalledPath=%PROGRAMFILES(X86)%\SapphireIMSAgent"
) ELSE (
    REM This is 32 Bit Operating system
    SET regQueryKey="HKEY_LOCAL_MACHINE\SOFTWARE\Tecknodreams\SapphireIMSAgent"
	SET AppWizRegistry="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SapphireIMSAgent"
	SET StartupRegistry="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run"
	SET "InstalledPath=%PROGRAMFILES%\SapphireIMSAgent"
)

SC STOP SAPPHIREIMSAGENT
SC STOP SAPPHIREIMSAGENTUPGRADE
FOR /F "tokens=*" %%A IN ('tasklist ^| FIND "SapphireIMSAgent.exe"') DO taskkill /F /IM SapphireIMSAgent.exe
FOR /F "tokens=*" %%A IN ('tasklist ^| FIND "SIMS_TaskAgent.exe"') DO taskkill /F /IM SIMS_TaskAgent.exe
FOR /F "tokens=*" %%A IN ('tasklist ^| FIND "AgentServiceTray.exe"') DO taskkill /F /IM AgentServiceTray.exe
FOR /F "tokens=*" %%A IN ('tasklist ^| FIND "SapphireIMSAgent-4.0-Setup.exe"') DO taskkill /F /IM SapphireIMSAgent-4.0-Setup.exe
FOR /F "tokens=*" %%A IN ('tasklist ^| FIND "SapphireIMSAgent-5.0-Setup.exe"') DO taskkill /F /IM SapphireIMSAgent-5.0-Setup.exe

SC DELETE SAPPHIREIMSAGENT
SC DELETE SAPPHIREIMSAGENTUPGRADE
REG DELETE %regQueryKey% /f
REG DELETE %AppWizRegistry% /f
REG DELETE %StartupRegistry% /v SapphireAgentTray /f
DEL "%ProgramData%\Microsoft\Windows\Start Menu\Programs\Startup\SapphireIMSAgent.lnk" /F /Q /S /A
DEL "%InstalledPath%\" /F /Q /S /A
RMDIR "%InstalledPath%\" /Q /S

TIMEOUT /T 3

echo  "Completed"
